%global pypi_name psutil

Name:           python-%{pypi_name}
Version:        7.0.0
Release:        %mkrel 2
Summary:        Module providing an interface for retrieving information on all running processes
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/psutil
Source0:        %{pypi_source}
BuildRequires:  python3-devel

%description
psutil is a module providing an interface for retrieving information
on all running processes and system utilization (CPU, memory, disks,
network, users) in a portable way by using Python, implementing many
functionalities offered by command line tools.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
psutil is a module providing an interface for retrieving information
on all running processes and system utilization (CPU, memory, disks,
network, users) in a portable way by using Python, implementing many
functionalities offered by command line tools.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files psutil

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc CREDITS HISTORY.rst README.rst


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 7.0.0-2.mga10
+ Revision: 2236277
- Mageia 10 Mass Rebuild

* Sat Feb 22 2025 wally <wally> 7.0.0-1.mga10
+ Revision: 2150785
- new version 7.0.0
- rebuild for python3.13

* Fri Jun 28 2024 papoteur <papoteur> 5.9.8-1.mga10
+ Revision: 2077718
- new version 5.9.8

* Wed Dec 13 2023 papoteur <papoteur> 5.9.6-3.mga10
+ Revision: 2017822
- rebuild for python 3.12

* Thu Dec 07 2023 wally <wally> 5.9.6-2.mga10
+ Revision: 2015152
- rebuild for py3.12

* Sun Nov 26 2023 wally <wally> 5.9.6-1.mga10
+ Revision: 2009832
- new version 5.9.6

* Sun Oct 02 2022 neoclust <neoclust> 5.9.2-1.mga9
+ Revision: 1894056
- New version 5.9.2

* Wed Sep 07 2022 neoclust <neoclust> 5.9.1-1.mga9
+ Revision: 1885123
- New version  5.9.1

* Fri Mar 18 2022 umeabot <umeabot> 5.9.0-2.mga9
+ Revision: 1798935
- Mageia 9 Mass Rebuild

* Sun Feb 06 2022 wally <wally> 5.9.0-1.mga9
+ Revision: 1772522
- new version 5.9.0
- rebuild for python3.10

* Sun Mar 14 2021 wally <wally> 5.8.0-2.mga9
+ Revision: 1702848
- rebuild for python 3.9

* Mon Mar 01 2021 daviddavid <daviddavid> 5.8.0-1.mga9
+ Revision: 1695069
- new version: 5.8.0

* Sat Nov 28 2020 guillomovitch <guillomovitch> 5.7.3-1.mga8
+ Revision: 1649911
- new version 5.7.3

* Thu Sep 03 2020 daviddavid <daviddavid> 5.7.2-1.mga8
+ Revision: 1621207
- new version: 5.7.2

* Tue Feb 18 2020 umeabot <umeabot> 5.6.7-2.mga8
+ Revision: 1539203
- Mageia 8 Mass Rebuild

* Sat Nov 30 2019 daviddavid <daviddavid> 5.6.7-1.mga8
+ Revision: 1463871
- new version: 5.6.7, fixes CVE-2019-18874 (mga#25791)

* Sun Sep 15 2019 tv <tv> 5.6.3-3.mga8
+ Revision: 1441034
- drop now useless patch

* Thu Sep 12 2019 tv <tv> 5.6.3-2.mga8
+ Revision: 1440000
- patch 0: fix building with python-3.8
- rebuild for python-3.8
- drop python2 subpkg

* Sun Jul 07 2019 daviddavid <daviddavid> 5.6.3-1.mga8
+ Revision: 1419306
- new version: 5.6.3

* Sat Apr 20 2019 wally <wally> 5.6.1-1.mga7
+ Revision: 1393717
- new version 5.6.1

* Sat Jan 12 2019 wally <wally> 5.4.8-1.mga7
+ Revision: 1355640
- new version 5.4.8

* Sat Jan 05 2019 wally <wally> 5.4.5-3.mga7
+ Revision: 1349781
- rebuild for python3.7

* Sun Sep 23 2018 umeabot <umeabot> 5.4.5-2.mga7
+ Revision: 1300550
- Mageia 7 Mass Rebuild

* Fri Apr 20 2018 kekepower <kekepower> 5.4.5-1.mga7
+ Revision: 1220404
- Update to version 5.4.5
- Renamed python-psutil to python2-psutil
- Use python_provide

* Sat Aug 05 2017 pterjan <pterjan> 4.1.0-2.mga7
+ Revision: 1135554
- Rebuild for python 3.6

* Fri Apr 15 2016 daviddavid <daviddavid> 4.1.0-1.mga6
+ Revision: 1002748
- new version: 4.1.0

* Fri Feb 12 2016 daviddavid <daviddavid> 3.4.2-1.mga6
+ Revision: 957005
- new version: 3.4.2

* Mon Jan 18 2016 daviddavid <daviddavid> 3.4.1-1.mga6
+ Revision: 925684
- new version: 3.4.1

* Fri Dec 18 2015 daviddavid <daviddavid> 3.3.0-1.mga6
+ Revision: 911555
- new version: 3.3.0
- use new python macros
- add doc files

* Wed Oct 07 2015 ovitters <ovitters> 3.1.1-2.mga6
+ Revision: 887069
- rebuild for new python3

* Wed Aug 26 2015 wally <wally> 3.1.1-1.mga6
+ Revision: 869765
- new version 3.1.1
- fix URL

* Wed Oct 15 2014 umeabot <umeabot> 2.0.0-5.mga5
+ Revision: 741604
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.0.0-4.mga5
+ Revision: 729331
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.0.0-3.mga5
+ Revision: 688226
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 2.0.0-2.mga5
+ Revision: 628908
- Rebuild for new Python

* Mon Mar 31 2014 kharec <kharec> 2.0.0-1.mga5
+ Revision: 610901
- new version 2.0.0

* Fri Feb 14 2014 wally <wally> 1.2.1-1.mga5
+ Revision: 591203
- new version 1.2.1
- enable python3 build
- fix URL tag

* Tue Oct 22 2013 umeabot <umeabot> 0.6.1-5.mga4
+ Revision: 544058
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.6.1-4.mga4
+ Revision: 499128
- Rebuild to add different pythonegg provides for python 2 and 3

* Wed Aug 21 2013 neoclust <neoclust> 0.6.1-3.mga4
+ Revision: 468961
- Remove wrong require on python-setuptools

* Sun Jan 13 2013 umeabot <umeabot> 0.6.1-2.mga3
+ Revision: 379286
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 01 2012 neoclust <neoclust> 0.6.1-1.mga3
+ Revision: 312304
- imported package python-psutil

